<div class="mt-0">
    <div class="title mb-2">
        <h3>
          {{'humanresources.absence' | translate}}
          <div class="spinner-border" role="status" *ngIf="loading">
            <span class="visually-hidden">{{ 'shared.loading' | translate }}</span>
          </div>
        </h3>
    </div>
    <div class="mb-3">
        <div class="d-flex justify-content-end">
            <div class="d-flex align-items-center me-2">
                <span class="me-2" aria-readonly="true">{{'humanresources.filter' | translate}}</span>
                <select class="form-select me-3" aria-label="Дате" (change)="filterDate($event)">
                    <option value="" selected>{{'humanresources.date' | translate}}</option>
                    <option value="today">На сегодня</option>
                    <option value="week">За неделю</option>
                    <option value="month">За месяц</option>
                    <option value="year">За год</option>
                </select>
                <button *ngIf="authService.isHumanResource" (click)="newCandidate(create)" class="btn btn-outline-dark d-flex">
                    <i class="bi bi-plus-lg me-2"></i>{{'humanresources.add' | translate}}</button>
            </div>
        </div>
    </div>
    <div class="border rounded" *ngIf="candidatesList?.items.length !== 0">
        <table class="table table-striped">
            <thead>
                <tr class="text-center text-nowrap">
                    <th scope="col">№</th>
                    <th scope="col">{{'humanresources.fullname' | translate}}<a (click)="sortAz('login')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.tablePeriod' | translate}}<a (click)="sortAz('startDate')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.reason' | translate}} <a (click)="sortAz('reason')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.dateAssign' | translate}}<a (click)="sortAz('dateOfApplication')"><i class="bi bi-sort-alpha-down"></i></a></th>
                </tr>
            </thead>

            <tbody>
                <tr class="text-center" *ngFor="let item of candidatesList?.items" (click)="onDetail(item.applicationId.id)">
                    <td>{{item.applicationId}}</td>
                    <td>{{getFullName(item?.user)}}</td>
                    <td>{{item?.startDate | date: 'dd.MM.yyyy'}} - {{item?.finishDate | date: 'dd.MM.yyyy'}}</td>
                    <td>{{item?.reason}}</td>
                    <td>{{item?.dateOfApplication | date: 'dd.MM.yyyy'}}</td>
                </tr>
            </tbody>
        </table>
        <ngb-pagination [collectionSize]="candidatesList?.count" (pageChange)="setPage($event)"></ngb-pagination>
    </div>
</div>
<app-empty-list *ngIf="candidatesList?.items.length === 0"></app-empty-list>

<ng-template let-modal #create>
    <div>
        <div class="modal-header">
            <h4 class="modal-title">{{'humanresources.absenceOfPerson' | translate}}</h4>
            <button type="button" class="btn-close" (click)="close()"></button>
        </div>
        <div class="modal-body">
            <form [formGroup]="formCreator" >
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.individual' | translate}}*</label>
                    <select class="form-select" formControlName="userLogin">
                        <option [value]="user?.iin" *ngFor="let user of employees?.items">{{getFullName(user)}}</option>
                    </select>
                    <!-- <input id="typeahead-basic" type="text" class="form-control" [ngbTypeahead]="search" /> -->
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.reason' | translate}}</label>
                    <select class="form-select" formControlName="reason">
                        <option value="Больничный">{{'humanresources.sick' | translate}}</option>
                        <option value="Прогул">{{'humanresources.no-show' | translate}}</option>
                    </select>
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.startDate' | translate}}*</label>
                    <input type="date" class="form-control" formControlName="startDate">
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.endDate' | translate}}</label>
                    <input type="date" class="form-control" formControlName="finishDate">
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.order' | translate}}</label>
                    <input type="file" class="form-control" (change)="fileChange($event)">
                </div>
                <div class="row mx-auto">
                     <button class="btn btn-primary" (click)="submit()">{{'humanresources.design' | translate}}</button>
                </div>
            </form>

        </div>
    </div>
</ng-template>
